summaryrefslogtreecommitdiffstats
path: root/libraries/gtk-layer-shell
diff options
context:
space:
mode:
author Damian Perticone <mjolnirdam@gmail.com>2022-04-26 20:57:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-30 13:52:07 +0700
commitc159895479efe7ae946c6b477d4f9a068f40bd86 (patch)
tree2d5fd78300b43c1a6e91f9901aebcbda9dd79eda /libraries/gtk-layer-shell
parent90974cc45a715d26c4d070e3a7dc1c1032313a9a (diff)
downloadslackbuilds-c159895479efe7ae946c6b477d4f9a068f40bd86.tar.gz
slackbuilds-c159895479efe7ae946c6b477d4f9a068f40bd86.tar.xz
libraries/gtk-layer-shell: Added (Layer Shell GTK appls libs).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/gtk-layer-shell')
-rw-r--r--libraries/gtk-layer-shell/README21
-rw-r--r--libraries/gtk-layer-shell/gtk-layer-shell.SlackBuild122
-rw-r--r--libraries/gtk-layer-shell/gtk-layer-shell.info10
-rw-r--r--libraries/gtk-layer-shell/slack-desc19
4 files changed, 172 insertions, 0 deletions
diff --git a/libraries/gtk-layer-shell/README b/libraries/gtk-layer-shell/README
new file mode 100644
index 0000000000..4f6cf59685
--- /dev/null
+++ b/libraries/gtk-layer-shell/README
@@ -0,0 +1,21 @@
+gtk-layer-shell is a library to write GTK applications that
+use Layer Shell.
+Layer Shell is a Wayland protocol for desktop shell components,
+such as panels, notifications and wallpapers. You can use it to anchor
+your windows to a corner or edge of the output, or stretch them across
+the entire output. It supports all Layer Shell features including popups
+and popovers (GTK popups Just Work™). This Library is compatible with
+C, C++ and any language that supports GObject introspection files
+(Python, Vala, etc,).
+
+This library only works on Wayland, and only on Wayland compositors
+that support the Layer Shell protcol. Layer shell is supported on:
+
+•wlroots based compositors (such as Sway)
+•Mir-based compositors (some may not enable the protocol by default
+and require --add-wayland-extension zwlr_layer_shell_v1)
+
+Layer shell is not supported on:
+
+•Gnome-on-Wayland
+•Any X11 desktop
diff --git a/libraries/gtk-layer-shell/gtk-layer-shell.SlackBuild b/libraries/gtk-layer-shell/gtk-layer-shell.SlackBuild
new file mode 100644
index 0000000000..9917f557cd
--- /dev/null
+++ b/libraries/gtk-layer-shell/gtk-layer-shell.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+
+# Slackware build script for gtk-layer-shell
+
+# Copyright 2022 Damian Perticone Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gtk-layer-shell
+VERSION=${VERSION:-0.7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dexamples=true \
+ -Ddocs=true \
+ -Dtests=false \
+ -Dintrospection=true \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE_GPL.txt LICENSE_LGPL.txt LICENSE_MIT.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a $PKG/usr/share/gtk-doc/html/gtk-layer-shell/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -r $PKG/usr/share/gtk-doc/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/gtk-layer-shell/gtk-layer-shell.info b/libraries/gtk-layer-shell/gtk-layer-shell.info
new file mode 100644
index 0000000000..46f9f1efad
--- /dev/null
+++ b/libraries/gtk-layer-shell/gtk-layer-shell.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk-layer-shell"
+VERSION="0.7.0"
+HOMEPAGE="https://github.com/wmww/gtk-layer-shell"
+DOWNLOAD="https://github.com/wmww/gtk-layer-shell/archive/refs/tags/v0.7.0/gtk-layer-shell-0.7.0.tar.gz"
+MD5SUM="d6edf452c8b2e74f44bd6a1057581356"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"
diff --git a/libraries/gtk-layer-shell/slack-desc b/libraries/gtk-layer-shell/slack-desc
new file mode 100644
index 0000000000..8dd31e0cac
--- /dev/null
+++ b/libraries/gtk-layer-shell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk-layer-shell: gtk-layer-shell (Layer Shell GTK applications library)
+gtk-layer-shell:
+gtk-layer-shell: Gtk-layer-shell is a library to write GTK applications that use
+gtk-layer-shell: Layer Shell. Layer Shell is a Wayland protocol for desktop shell
+gtk-layer-shell: components, such as panels, notifications and wallpapers
+gtk-layer-shell:
+gtk-layer-shell:
+gtk-layer-shell:
+gtk-layer-shell: Home: https://github.com/wmww/gtk-layer-shell
+gtk-layer-shell:
+gtk-layer-shell: